# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: settings_page_heading
    category: QSL\CallForPrice
    type: hidden
    orderby: 50
    translations: [{code: en, option_name: 'Request A Price & Hide Prices Settings'}]
    module: QSL\CallForPrice
  - name: requests_by
    category: QSL\CallForPrice
    type: QSL\CallForPrice\View\FormField\Select\RequestsBy
    orderby: 100
    value: Email
    translations: [{code: en, option_name: 'Contact channel'}]
    module: QSL\CallForPrice
  - name: request_price_tooltip
    category: QSL\CallForPrice
    type: XLite\View\FormField\Input\Text
    orderby: 150
    value: 'Request Price'
    translations: [{code: en, option_name: 'Request Price tooltip'}]
    module: QSL\CallForPrice
  - name: request_price_side_widgets
    category: QSL\CallForPrice
    type: XLite\View\FormField\Input\Text
    orderby: 200
    value: 'Price on request'
    translations: [{code: en, option_name: 'Request Price button text (side widgets)'}]
    module: QSL\CallForPrice
  - name: request_price_center_widgets
    category: QSL\CallForPrice
    type: XLite\View\FormField\Input\Text
    orderby: 250
    value: 'Request price'
    translations: [{code: en, option_name: 'Request Price button text (center widgets)'}]
    module: QSL\CallForPrice
  - name: request_price_product_page
    category: QSL\CallForPrice
    type: XLite\View\FormField\Input\Text
    orderby: 300
    value: 'Request price'
    translations: [{code: en, option_name: 'Request Price button text (product)'}]
    module: QSL\CallForPrice
  - name: hide_prices_user_type
    category: QSL\CallForPrice
    type: QSL\CallForPrice\View\FormField\Select\CustomerType
    orderby: 400
    value: ''
    translations: [{code: en, option_name: 'Disable checkout and hide prices from these customers', option_comment: 'Select user types that you want to hide prices from and disable checkout for.'}, {code: ru, option_name: 'Скрывать цены от следующих пользователей', option_comment: 'Выберите все типы пользователей, которым не должны отображаться цены в магазине.'}]
    module: QSL\CallForPrice
XLite\Model\LanguageLabel:
  - name: 'Price on request'
    translations: [{code: en, label: 'Price on request'}, {code: ru, label: 'Цена по запросу'}]
  - name: 'Wrong callForPrice format'
    translations: [{code: en, label: 'Wrong Call For Price field format. This should be "Yes" or "No"'}, {code: ru, label: 'Флаг цены по запросу товара имеет неправильный формат'}]
  - name: 'Wrong variant callForPrice format'
    translations: [{code: en, label: 'Wrong variant Call For Price field format. This should be "Yes" or "No"'}, {code: ru, label: 'Флаг цены по запросу варианта товара имеет неправильный формат'}]
  - name: 'Get a price quote: {{url}}'
    translations: [{code: en, label: 'Get a price quote: {{url}}'}, {code: ru, label: 'Получить ценовое предложение: {{url}}'}]
  - name: 'Product price quote'
    translations: [{code: en, label: 'Product price quote'}, {code: ru, label: 'Запрос цены продкта'}]
  - name: 'Please sign in or register to buy this product.'
    translations: [{code: en, label: 'Please <a href="{{loginUrl}}" class="sign-in log-in">sign in</a> or <a href="{{registerUrl}}" class="sign-up register">register</a> to buy this product.'}, {code: ru, label: 'Пожалуйста, <a href="{{loginUrl}}" class="sign-in log-in">войдите на сайт</a> или <a href="{{registerUrl}}" class="sign-up register">зарегистрируйтесь</a> для покупки этого товара.'}]
  - name: 'Hide prices from customers without account'
    translations: [{code: en, label: Unregistered}, {code: ru, label: Незарегистрированные}]
  - name: 'Hide prices from customers without membership'
    translations: [{code: en, label: 'Registered, no membership'}, {code: ru, label: 'Без группы'}]
  - name: 'Hide prices from X membership'
    translations: [{code: en, label: '"{{name}}" membership'}, {code: ru, label: 'В группе {{name}}'}]
  - name: request_price_email_subject
    translations: [{code: en, label: 'Request for price'}]
  - name: request_price_email_message
    translations: [{code: en, label: "To whom it may concern.\nWe would like to request a price quote for the following item:\n{{product_name}}\n{{attribute_list}}\nPlease feel free to contact me if you need any further information in order to provide us with a firm price.\nWe look forward to hearing from you."}]
  - name: 'Please contact us to buy this product.'
    translations: [{code: en, label: 'Please <a href="{{url}}" title="{{tooltip}}" data-toggle="tooltip">contact us</a> to buy this product.'}]
  - name: 'Call {{phone_number}} to request pricing for this item'
    translations: [{code: en, label: 'Call {{phone_number}} to request pricing for this item'}]
